API ReferenceEnvironment templates
List a project's environment templates
Requires environments.read.
Authorization
bearerAuth AuthorizationBearer <token>
A RemoteHost API key (rh_sk_...) or a user session token.
In: header
Path Parameters
orgId*string
projectId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/orgs/string/projects/string/environment-templates"{ "environments": [ { "usage": { "workspaces": 0, "sandboxes": 0 }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "name": "string", "description": "string", "isDefault": true, "enforced": true, "template": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "platform": true }, "machineSize": "small", "vmm": "string", "setupScript": "string", "services": [ { "name": "string", "command": "string", "port": 1, "cwd": "string" } ], "ports": [ 0 ], "envVars": { "property1": "string", "property2": "string" }, "egressPolicy": "none", "egressAllowlist": [ "string" ], "applied": true, "createdAt": "string", "updatedAt": "string" } ]}